# Ask for the account to be deleted after a 14-day cooling-off

`POST /account/delete` · Rivier · workspace

Ask for the account to be deleted after a 14-day cooling-off.

- Scope: workspace:write
- Graphql: Mutation.workspaceAccountDeletionRequest
- Sdk: workspace.accountDeletion.request
- Cli: workspace account deletion request

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "confirm": {
      "type": "string",
      "minLength": 1,
      "maxLength": 300
    }
  },
  "required": [
    "confirm"
  ],
  "additionalProperties": false
}
```

## Responses

- `202`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/account/delete' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "confirm": "string"
}'
```
